Bug 188825 - databases/py-cmemcache: broken and deprecated by upstream
Summary: databases/py-cmemcache: broken and deprecated by upstream
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-20 12:10 UTC by Bartek Rutkowski
Modified: 2014-05-12 15:40 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bartek Rutkowski freebsd_committer 2014-04-20 12:10:01 UTC
The port fails to build properly for a while now and it is abandoned by the upstream (from the webpage):

"cmemcache is retired as of 2009/12/21 due to lack of maintenance and more viable replacements"

Build log failing: http://poudriere.ithil.palantiri.org:8080/latest-per-pkg/py27-cmemcache/0.95/

The port should be marked as broken and prepared for deletion.

Port maintainer (qingfeng@douban.com) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: change, diff: SVN)

How-To-Repeat: Try to build the port.
Comment 1 Edwin Groothuis freebsd_committer 2014-04-20 12:10:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-04-20 12:10:12 UTC
Maintainer of databases/py-cmemcache,

Please note that PR ports/188825 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/188825

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2014-04-20 12:10:13 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Antoine Brodin freebsd_committer 2014-05-08 09:01:15 UTC
State Changed
From-To: feedback->open

Maintainer has been reset
Comment 5 dfilter service freebsd_committer 2014-05-12 15:35:39 UTC
Author: swills
Date: Mon May 12 14:35:32 2014
New Revision: 353828
URL: http://svnweb.freebsd.org/changeset/ports/353828
QAT: https://qat.redports.org/buildarchive/r353828/

Log:
  - Mark deprecated since it's deprecated upstream [1] [2]
  - Mark broken on 10.0 and newer because it doesn't build [2]
  - Stage just so I can commit [2]
  - Switch to USES=tar:bzip2 to silence warnings [2]
  - Cleanup pkg-descr [2]
  - Bump PORTREVISION for package change (pkg-descr) [2]
  - Not assigning maintainership because port is expiring
  
  PR:		ports/188825 [1]
  PR:		ports/189681 [2]
  Submitted by:	Bartek Rutkowski <ports@robakdesign.com> [1]
  Submitted by:	Muhammad Moinur Rahman <5u623l20@gmail.com> [2]

Deleted:
  head/databases/py-cmemcache/pkg-plist
Modified:
  head/databases/py-cmemcache/Makefile
  head/databases/py-cmemcache/pkg-descr

Modified: head/databases/py-cmemcache/Makefile
==============================================================================
--- head/databases/py-cmemcache/Makefile	Mon May 12 14:21:01 2014	(r353827)
+++ head/databases/py-cmemcache/Makefile	Mon May 12 14:35:32 2014	(r353828)
@@ -3,6 +3,7 @@
 
 PORTNAME=	cmemcache
 PORTVERSION=	0.95
+PORTREVISION=	1
 CATEGORIES=	databases python
 MASTER_SITES=	http://gijsbert.org/downloads/cmemcache/
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -12,9 +13,18 @@ COMMENT=	Python API for memcached, a dis
 
 LIB_DEPENDS=	libmemcache.so:${PORTSDIR}/databases/libmemcache
 
-USE_BZIP2=	yes
+USES=			tar:bzip2
 USE_PYTHON=		yes
 USE_PYDISTUTILS=	yes
+PYDISTUTILS_AUTOPLIST=	yes
 
-NO_STAGE=	yes
-.include <bsd.port.mk>
+DEPRECATED=	Deprecated upstream
+EXPIRATION_DATE=2014-06-12
+
+.include <bsd.port.pre.mk>
+
+.if ${OSVERSION} >= 1000000
+BROKEN=	Does not build with CLANG or GCC greater than 4.2
+.endif
+
+.include <bsd.port.post.mk>

Modified: head/databases/py-cmemcache/pkg-descr
==============================================================================
--- head/databases/py-cmemcache/pkg-descr	Mon May 12 14:21:01 2014	(r353827)
+++ head/databases/py-cmemcache/pkg-descr	Mon May 12 14:35:32 2014	(r353828)
@@ -2,4 +2,4 @@ Python extension for libmemcache, the C 
 same as python-memcache, so it is easy to replace python-memcache with
 cmemcache, and vice versa.
 
-WWW:	http://gijsbert.org/cmemcache/
+WWW: http://gijsbert.org/cmemcache/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Steve Wills freebsd_committer 2014-05-12 15:35:49 UTC
State Changed
From-To: open->closed

Committed. Thanks!